petsc-3.12.1 2019-10-22
Report Typos and Errors

# VecMTDot

Computes indefinite vector multiple dot products. That is, it does NOT use the complex conjugate.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecMTDot(Vec x,PetscInt nv,const Vec y[],PetscScalar val[])

Collective on Vec

### Input Parameters

| x | - one vector
| nv | - number of vectors
| y | - array of vectors. Note that vectors are pointers

### Output Parameter

val -array of the dot products

### Notes for Users of Complex Numbers

For complex vectors, VecMTDot() computes the indefinite form

         val = (x,y) = y^T x,

where y^T denotes the transpose of y.

Use VecMDot() for the inner product

         val = (x,y) = y^H x,

where y^H denotes the conjugate transpose of y.

### See Also

VecMDot(), VecTDot()

### Level

intermediate

### Location

src/vec/vec/interface/rvector.c

### Implementations

VecMTDot_MPI in src/vec/vec/impls/mpi/pvec2.c
VecMTDot_Nest in src/vec/vec/impls/nest/vecnest.c
VecMTDot_Seq in src/vec/vec/impls/seq/dvec2.c
VecMTDot_SeqViennaCL in src/vec/vec/impls/seq/seqviennacl/vecviennacl.cxx
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages